phython运行ride.py时报错

phython运行ride.py报如下错,求大佬看下是什么问题哇,感谢了

Traceback (most recent call last):
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\application.py", line 59, in OnInit
self._plugin_loader.enable_plugins()
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\pluginloader.py", line 43, in enable_plugins
p.enable_on_startup()
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\pluginconnector.py", line 52, in enable_on_startup
self.enable()
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\pluginconnector.py", line 57, in enable
self._plugin.enable()
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 162, in enable
self._build_ui()
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 558, in _build_ui
self._build_notebook_tab()
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 734, in _build_notebook_tab
self.out = self._create_output_textctrl()
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 769, in _create_output_textctrl
font = self._create_font()
File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 789, in _create_font
font=wx.SystemSettings.GetFont(wx.SYS_ANSI_FIXED_FONT)
wx._core.wxAssertionError: C++ assertion "wxFontEnumerator::IsValidFacename(font.GetFaceName())" failed at ....\src\msw\settings.cpp(301) in wxSystemSettingsNative::GetFont():
OnInit returned false, exiting...
Error in atexit._run_exitfuncs:
wx._core.wxAssertionError: C++ assertion "GetEventHandler() == this" failed at ....\src\common\wincmn.cpp(478) in wxWindowBase::~wxWindowBase(): any pushed event handlers must have been removed

2个回答

这个问题也没有大佬看下的呢,十分感谢啦!

q463643865
like sunshine 回复qq_34901288: 这个问题解决了,按照楼下的老哥解答了之后,后面我报错了,然后又修改了Python37\Lib\site-packages\robotide\application下的application.py下的第123行和124行的格式为gbk然后就可以了
大约一年之前 回复
q463643865
like sunshine 回复qq_34901288: 看楼下,操作后这个报错没有了,但是还有另外一个错,正在继续询问中
大约一年之前 回复
qq_34901288
qq_34901288 回复like sunshine: 介意留个qq嘛?解决了的话可以互相帮助
大约一年之前 回复
qq_34901288
qq_34901288 回复like sunshine: 一开始我以为是C++环境问题,装了VS还是不行,心累
大约一年之前 回复
q463643865
like sunshine 回复qq_34901288: 还没有,比较坑啊
大约一年之前 回复
qq_34901288
qq_34901288 你好,请问解决了吗
大约一年之前 回复

这个需要更改testrunnerplugin.py中的_create_font的字体参数,更改后就可以正常启动RIDE的UI了,具体信息可看看我的博文:
python笔记5--python3.6 安装robotframework及wxSystemSettingsNative错误

https://blog.csdn.net/u011127242/article/details/88864476

q463643865
like sunshine 老哥,谢谢你哈,我这个问题现在已经解决了,十分感谢了,可惜没有C币啊,捂脸
大约一年之前 回复
q463643865
like sunshine 大神你好,按照你的操作后现在报其他的错了Traceback (most recent call last): File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\application.py", line 65, in OnInit self._find_robot_installation() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\application.py", line 124, in _find_robot_installation str(os.path.dirname(rf_file), 'utf-8'))).publish() UnicodeDecodeError: 'utf-8' codec can't decode byte 0xc0 in position 9: invalid start byte OnInit returned false, exiting... Error in atexit._run_exitfuncs: wx._core.wxAssertionError: C++ assertion "GetEventHandler() == this" failed at ..\..\src\common\wincmn.cpp(478) in wxWindowBase::~wxWindowBase(): any pushed event handlers must have been removed
大约一年之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
抄袭、复制答案,以达到刷声望分或其他目的的行为,在CSDN问答是严格禁止的,一经发现立刻封号。是时候展现真正的技术了!
其他相关推荐
Python运行ride.py报错

各位大佬,小白请教一个问题,我在cmd命令下运行ride.py的时候报如下错,能否帮忙看下,小白谢谢各位大佬了~! E:\Python27\Scripts>python ride.py Traceback (most recent call last): File "E:\Python27\lib\site-packages\robotide\__init__.py", line 83, in main _run(inpath, not noupdatecheck, debug_console) File "E:\Python27\lib\site-packages\robotide\__init__.py", line 102, in _run from robotide.application import RIDE File "E:\Python27\lib\site-packages\robotide\application\__init__.py", line 16, in <module> from .application import RIDE, Project File "E:\Python27\lib\site-packages\robotide\application\application.py", line 22, in <module> from robotide.namespace import Namespace File "E:\Python27\lib\site-packages\robotide\namespace\__init__.py", line 16, in <module> from .namespace import Namespace File "E:\Python27\lib\site-packages\robotide\namespace\namespace.py", line 31, in <module> from robotide.publish import PUBLISHER, RideSettingsChanged, RideLogMessage File "E:\Python27\lib\site-packages\robotide\publish\__init__.py", line 123, in <module> from .messages import * File "E:\Python27\lib\site-packages\robotide\publish\messages.py", line 21, in <module> from .messages2 import * File "E:\Python27\lib\site-packages\robotide\publish\messages2.py", line 24, in <module> from robotide.publish import publisher File "E:\Python27\lib\site-packages\robotide\publish\publisher.py", line 24, in <module> from pubsub import pub ImportError: cannot import name pub

Windows命令行启动ride.py报错。

Win10,64位,Python版本3.8.1, pip 19.3.1 Pypubsub 4.0.3 pywin32 227 requests 2.22.0 robotframework 3.1.2 robotframework-ride 1.7.4 setuptools 41.2.0 wxPython 4.1.0a1.dev4523+46bae17a 出现的情况是:用命令行python ride.py启动就如图报错; 直接双击ride.py会有一个空白的命令行窗口闪一下,然后就没反应了。 这个报错图上面还有蛮长的一段,内容都是<class 'robotide.preferences.configobj.UnreprError'> Parse error in value at lineXX这种。 ![图片说明](https://img-ask.csdn.net/upload/202001/12/1578762599_139263.png) 还请大佬能为我答疑解惑。

·Robotframework」运行ride.py 报错 麻烦大神们看一下!

环境:Ubuntu 16.04 折腾了好久pip install robotframework-ride 才成功 运行ride.py又又又报错了 心累 麻烦各位帮我看看 指点迷津 ``` pip install robotframework-ride 提示 Looking in indexes: https://pypi.tuna.tsinghua.edu.cn/simple Requirement already satisfied: robotframework-ride in /usr/local/lib/python2.7/dist-packages (1.7.4b1.dev1) Requirement already satisfied: wxPython in /usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode (from robotframework-ride) (2.8.12.1) Requirement already satisfied: PyPubSub in /usr/local/lib/python2.7/dist-packages (from robotframework-ride) (3.3.0) Requirement already satisfied: Pygments in /usr/local/lib/python2.7/dist-packages (from robotframework-ride) (2.4.2 ``` ``` ride.py后 ``` ![图片说明](https://img-ask.csdn.net/upload/201907/18/1563447987_206124.png) 报错:Traceback (most recent call last): File "/usr/local/lib/python2.7/dist-packages/robotide/__init__.py", line 83, in main _run(inpath, not noupdatecheck, debug_console) File "/usr/local/lib/python2.7/dist-packages/robotide/__init__.py", line 112, in _run ride = RIDE(inpath, updatecheck) File "/usr/local/lib/python2.7/dist-packages/robotide/application/application.py", line 45, in __init__ wx.App.__init__(self, redirect=False) File "/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 7981, in __init__ self._BootstrapApp() File "/usr/lib/python2.7/dist-packages/wx-2.8-gtk2-unicode/wx/_core.py", line 7555, in _BootstrapApp return _core_.PyApp__BootstrapApp(*args, **kwargs) File "/usr/local/lib/python2.7/dist-packages/robotide/application/application.py", line 55, in OnInit self.frame = RideFrame(self, self._controller) File "/usr/local/lib/python2.7/dist-packages/robotide/ui/mainframe.py", line 173, in __init__ self.Bind(wx.EVT_DIRCTRL_FILEACTIVATED, self.OnOpenFile) AttributeError: 'module' object has no attribute 'EVT_DIRCTRL_FILEACTIVATED' 麻烦各位了!!非常感谢!!

安装完robotframework-ride之后运行ride.py报错,救救孩子吧!!!我试了好几个方法都失败

Traceback (most recent call last): File "C:\Python27\lib\site-packages\robotide\application\application.py", line 59, in OnInit self._plugin_loader.enable_plugins() File "C:\Python27\lib\site-packages\robotide\application\pluginloader.py", line 43, in enable_plugins p.enable_on_startup() File "C:\Python27\lib\site-packages\robotide\application\pluginconnector.py", line 52, in enable_on_startup self.enable() File "C:\Python27\lib\site-packages\robotide\application\pluginconnector.py", line 57, in enable self._plugin.enable() File "C:\Python27\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 162, in enable self._build_ui() File "C:\Python27\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 558, in _build_ui self._build_notebook_tab() File "C:\Python27\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 734, in _build_notebook_tab self.out = self._create_output_textctrl() File "C:\Python27\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 769, in _create_output_textctrl font = self._create_font() File "C:\Python27\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 789, in _create_font font=wx.SystemSettings.GetFont(wx.ANSI_FIXED_FONT) AttributeError: 'module' object has no attribute 'ANSI_FIXED_FONT' OnInit returned false, exiting... Error in atexit._run_exitfuncs: Traceback (most recent call last): File "C:\Python27\lib\atexit.py", line 24, in _run_exitfuncs func(*targs, **kargs) wxAssertionError: C++ assertion "GetEventHandler() == this" failed at ..\..\src\common\wincmn.cpp(478) in wxWindowBase::~wxWindowBase(): any pushed event handlers must have been removed Error in sys.exitfunc: Traceback (most recent call last): File "C:\Python27\lib\atexit.py", line 24, in _run_exitfuncs func(*targs, **kargs) wx._core.wxAssertionError: C++ assertion "GetEventHandler() == this" failed at ..\..\src\common\wincmn.cpp(478) in wxWindowBase::~wxWindowBase(): any pushed event handlers must have been removed

python运行main.py报错

python3运行项目的main.py是报错提示系统找不到指定的路径

windows安装python3.7.7启动ride.py报错

python3.7.7启动ride.py 本机版本信息如下,所有版本都是64位 ![图片说明](https://img-ask.csdn.net/upload/202003/20/1584673323_782069.png) 启动ride.py时,报错如下: ![图片说明](https://img-ask.csdn.net/upload/202003/20/1584673393_604128.png) 请教各位大佬,如何解决 答友提说说使用命令python ride.py,执行结果无响应 ![图片说明](https://img-ask.csdn.net/upload/202003/20/1584680606_497638.png)

robotframework安装完成,点击ride.py弹出俩个框怎么解决?

![点击ride.py,会运行python.exe和ride.py,并且二次点击的时候报错如下,只想要ride界面怎么解决](https://img-ask.csdn.net/upload/201811/23/1542987790_115853.png)

python运行ride.py报错wxAssertionError

这个问题再发一次,麻烦各位大佬帮忙看下呢,十分感谢啦! 报错内容如下,十分感谢各位大佬! Traceback (most recent call last): File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\application.py", line 59, in OnInit self._plugin_loader.enable_plugins() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\pluginloader.py", line 43, in enable_plugins p.enable_on_startup() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\pluginconnector.py", line 52, in enable_on_startup self.enable() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\application\pluginconnector.py", line 57, in enable self._plugin.enable() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 162, in enable self._build_ui() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 558, in _build_ui self._build_notebook_tab() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 734, in _build_notebook_tab self.out = self._create_output_textctrl() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 769, in _create_output_textctrl font = self._create_font() File "C:\Users\坤哥\AppData\Local\Programs\Python\Python37\lib\site-packages\robotide\contrib\testrunner\testrunnerplugin.py", line 789, in _create_font font=wx.SystemSettings.GetFont(wx.SYS_ANSI_FIXED_FONT) wx._core.wxAssertionError: C++ assertion "wxFontEnumerator::IsValidFacename(font.GetFaceName())" failed at ....\src\msw\settings.cpp(301) in wxSystemSettingsNative::GetFont(): OnInit returned false, exiting... Error in atexit._run_exitfuncs: wx._core.wxAssertionError: C++ assertion "GetEventHandler() == this" failed at ....\src\common\wincmn.cpp(478) in wxWindowBase::~wxWindowBase(): any pushed event handlers must have been removed

mac pro环境下:运行python manage.py runserver命令,什么提示都没有

1.运行环境:mac 2.版本 django 1.8 3.运行python manage.py runserver 0.0.0.0:8888或python manage.py runserver 都 没有任何提示 4.在浏览器中输入:127.0.0.1:8888提示打开失败 不知道是什么原因

执行python manage.py migrate命令有问题

我在windows系统搭建了开发环境,使用的是pytohn2.7版本,在本地开发环境验证测试,执行python manage.py migrate命令有问题: 我在这个位置执行的命令: ![图片说明](https://img-ask.csdn.net/upload/201912/16/1576467780_425609.png) 报错如下: ![图片说明](https://img-ask.csdn.net/upload/201912/16/1576467889_633346.png) D:\python2.7\python2.7\Lib\site-packages\django\conf\project_template>python manage.py migrate Traceback (most recent call last): File "manage.py", line 10, in <module> execute_from_command_line(sys.argv) File "D:\python2.7\python2.7\lib\site-packages\django\core\management\__init__.py", line 338, in execute_from_command_line utility.execute() File "D:\python2.7\python2.7\lib\site-packages\django\core\management\__init__.py", line 303, in execute settings.INSTALLED_APPS File "D:\python2.7\python2.7\lib\site-packages\django\conf\__init__.py", line 48, in __getattr__ self._setup(name) File "D:\python2.7\python2.7\lib\site-packages\django\conf\__init__.py", line 44, in _setup self._wrapped = Settings(settings_module) File "D:\python2.7\python2.7\lib\site-packages\django\conf\__init__.py", line 92, in __init__ mod = importlib.import_module(self.SETTINGS_MODULE) File "D:\python2.7\python2.7\lib\importlib\__init__.py", line 37, in import_module __import__(name) ImportError: No module named {{ project_name }}.settings 求大神指教,是我执行的目录位置有问题吗?

Mac下安装robot运行ride.py后报python should be executed in 32-bit mode with wxPython on OSX.

-bash-3.2$ defaults read com.apple.versioner.python { "Prefer-32-Bit" = 1; "Prefer-64-Bit" = 0; } -bash-3.2$ ride.py python should be executed in 32-bit mode with wxPython on OSX. defaults write com.apple.versioner.python Prefer-32-Bit -bool yes 没有起作用。

如何在服务器中一直运行python manage.py runserver 这条命令

完成了一个django的项目,放在阿里云服务器上,用xshell连接,无奈nginx +uwsgi +django部署不会,只能使用最基本的python manage.py runserver跑起来,网站访问正常,但是我一关闭xshell,命令马上就不执行了,我的网站也马上就访问不了了,现在想请问如何让我在关闭xshell的时候,该命令仍然可以在我的项目目录下运行从而使我的网站可以在任何时候都可以访问。

如何用python setup.py打包多个.py文件到同一个包下面

网上提供的一个最简单的例子是:只有一个test.py需要打包时 在setup.py中写上如下内容: # coding: utf-8 from distutils.core import setup setup(name="MyTest", version="1.0", description="test", author="ChaoMa", author_email="1277859938@qq.com", url="http://127.0.0.1:8080/educationma/search", py_modules=["test"], ) 我现在test.py和hello.py都需要打包到同一个包下面,那么setup.py应该怎么写呢?

关于django执行python manage.py syncdb命令却缺少自己所需要建的models.py内的表

在django项目中的settings.py文件中的_app代码,数据库没问题,可以连接上,但是:python manage.py syncdb命令却无法生成自己models.py内所定义的实体类表。 INSTALLED_APPS = ( 'django.contrib.admin', 'django.contrib.auth', 'django.contrib.contenttypes', 'django.contrib.sessions', 'django.contrib.messages', 'django.contrib.staticfiles', 'west', ) models.py内的代码 from django.db import models class Employee(models.Model): name = models.CharField(max_length=200) 谁能帮我看看这是怎么回事,查了很多资料还是无法解决。

django中创建表python manage.py makemigrations出现以下错误 ,望大神指导

![图片说明](https://img-ask.csdn.net/up load/201812/05/1544007099_480215.jpg) ![图片说明](https://img-ask.csdn.net/upload/201812/05/1544012043_872565.jpg) C:\Users\Administrator\PycharmProjects\mysite>python manage.py makemigrations Traceback (most recent call last): File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\base\base.py", line 216, in ensure_connection self.connect() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\base\base.py", line 194, in connect self.connection = self.get_new_connection(conn_params) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\mysql\base.py", line 227, in get_new_connection return Database.connect(**conn_params) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\__init__. py", line 94, in Connect return Connection(*args, **kwargs) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\connectio ns.py", line 327, in __init__ self.connect() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\connectio ns.py", line 598, in connect self._request_authentication() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\connectio ns.py", line 873, in _request_authentication auth_packet = _auth.caching_sha2_password_auth(self, auth_packet) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\_auth.py" , line 253, in caching_sha2_password_auth pkt = _roundtrip(conn, data) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\_auth.py" , line 112, in _roundtrip pkt = conn._read_packet() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\connectio ns.py", line 683, in _read_packet packet.check_error() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\protocol. py", line 220, in check_error err.raise_mysql_exception(self._data) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\err.py", line 109, in raise_mysql_exception raise errorclass(errno, errval) pymysql.err.OperationalError: (1045, "Access denied for user 'root'@'localhost' (using password: YES)") The above exception was the direct cause of the following exception: Traceback (most recent call last): File "manage.py", line 15, in <module> execute_from_command_line(sys.argv) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\core\manag ement\__init__.py", line 381, in execute_from_command_line utility.execute() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\core\manag ement\__init__.py", line 375, in execute self.fetch_command(subcommand).run_from_argv(self.argv) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\core\manag ement\base.py", line 316, in run_from_argv self.execute(*args, **cmd_options) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\core\manag ement\base.py", line 353, in execute output = self.handle(*args, **options) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\core\manag ement\base.py", line 83, in wrapped res = handle_func(*args, **kwargs) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\core\manag ement\commands\makemigrations.py", line 103, in handle loader.check_consistent_history(connection) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\migrati ons\loader.py", line 281, in check_consistent_history applied = recorder.applied_migrations() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\migrati ons\recorder.py", line 61, in applied_migrations if self.has_table(): File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\migrati ons\recorder.py", line 44, in has_table return self.Migration._meta.db_table in self.connection.introspection.table_names(self.connection.cur sor()) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\base\base.py", line 255, in cursor return self._cursor() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\base\base.py", line 232, in _cursor self.ensure_connection() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\base\base.py", line 216, in ensure_connection self.connect() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\utils.p y", line 89, in __exit__ raise dj_exc_value.with_traceback(traceback) from exc_value File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\base\base.py", line 216, in ensure_connection self.connect() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\base\base.py", line 194, in connect self.connection = self.get_new_connection(conn_params) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\django\db\backend s\mysql\base.py", line 227, in get_new_connection return Database.connect(**conn_params) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\__init__. py", line 94, in Connect return Connection(*args, **kwargs) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\connectio ns.py", line 327, in __init__ self.connect() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\connectio ns.py", line 598, in connect self._request_authentication() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\connectio ns.py", line 873, in _request_authentication auth_packet = _auth.caching_sha2_password_auth(self, auth_packet) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\_auth.py" , line 253, in caching_sha2_password_auth pkt = _roundtrip(conn, data) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\_auth.py" , line 112, in _roundtrip pkt = conn._read_packet() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\connectio ns.py", line 683, in _read_packet packet.check_error() File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\protocol. py", line 220, in check_error err.raise_mysql_exception(self._data) File "C:\Users\Administrator\AppData\Local\Programs\Python\Python37\lib\site-packages\pymysql\err.py", line 109, in raise_mysql_exception raise errorclass(errno, errval) django.db.utils.OperationalError: (1045, "Access denied for user 'root'@'localhost' (using password: YES) ")

执行python setup.py build的时候出现的错误 请问怎么回事???

问题详情: ![这是在执行python setup.py build的时候出现的](https://img-ask.csdn.net/upload/201901/26/1548481629_759605.png) 请问怎么回事???

执行python setup.py install报警告,如何解决?

1、在服务器上安装某些软件,执行python setup.py install,打印UserWarning: Uknown distribution option: 'long_description_content_type'请问是什么原因导致的??该如何解决??

windows下Django运行python manage.py runserver时报错LookupError: No installed app with label 'admin'.

Pycharm用Django框架时想连接远程数据库,但是在运行服务器时python manage.py runserver显示LookupError: No installed app with label 'admin'.

使用python的ghost.py一直报错

Traceback (most recent call last): File "D:\python33\lib\logging\__init__.py", line 939, in emit msg = self.format(record) File "D:\python33\lib\logging\__init__.py", line 810, in format return fmt.format(record) File "D:\python33\lib\logging\__init__.py", line 550, in format record.asctime = self.formatTime(record, self.datefmt) File "D:\python33\lib\logging\__init__.py", line 488, in formatTime s = time.strftime(datefmt, ct) ValueError: Invalid format string Logged from file ghost.py, line 115 Traceback (most recent call last): File "D:\python33\lib\logging\__init__.py", line 939, in emit msg = self.format(record) File "D:\python33\lib\logging\__init__.py", line 810, in format return fmt.format(record) File "D:\python33\lib\logging\__init__.py", line 550, in format record.asctime = self.formatTime(record, self.datefmt) File "D:\python33\lib\logging\__init__.py", line 488, in formatTime s = time.strftime(datefmt, ct) ValueError: Invalid format string Logged from file ghost.py, line 115

在中国程序员是青春饭吗?

今年,我也32了 ,为了不给大家误导,咨询了猎头、圈内好友,以及年过35岁的几位老程序员……舍了老脸去揭人家伤疤……希望能给大家以帮助,记得帮我点赞哦。 目录: 你以为的人生 一次又一次的伤害 猎头界的真相 如何应对互联网行业的「中年危机」 一、你以为的人生 刚入行时,拿着傲人的工资,想着好好干,以为我们的人生是这样的: 等真到了那一天,你会发现,你的人生很可能是这样的: ...

程序员请照顾好自己,周末病魔差点一套带走我。

程序员在一个周末的时间,得了重病,差点当场去世,还好及时挽救回来了。

和黑客斗争的 6 天!

互联网公司工作,很难避免不和黑客们打交道,我呆过的两家互联网公司,几乎每月每天每分钟都有黑客在公司网站上扫描。有的是寻找 Sql 注入的缺口,有的是寻找线上服务器可能存在的漏洞,大部分都...

搜狗输入法也在挑战国人的智商!

故事总是一个接着一个到来...上周写完《鲁大师已经彻底沦为一款垃圾流氓软件!》这篇文章之后,鲁大师的市场工作人员就找到了我,希望把这篇文章删除掉。经过一番沟通我先把这篇文章从公号中删除了...

总结了 150 余个神奇网站,你不来瞅瞅吗?

原博客再更新,可能就没了,之后将持续更新本篇博客。

副业收入是我做程序媛的3倍,工作外的B面人生是怎样的?

提到“程序员”,多数人脑海里首先想到的大约是:为人木讷、薪水超高、工作枯燥…… 然而,当离开工作岗位,撕去层层标签,脱下“程序员”这身外套,有的人生动又有趣,马上展现出了完全不同的A/B面人生! 不论是简单的爱好,还是正经的副业,他们都干得同样出色。偶尔,还能和程序员的特质结合,产生奇妙的“化学反应”。 @Charlotte:平日素颜示人,周末美妆博主 大家都以为程序媛也个个不修边幅,但我们也许...

MySQL数据库面试题(2020最新版)

文章目录数据库基础知识为什么要使用数据库什么是SQL?什么是MySQL?数据库三大范式是什么mysql有关权限的表都有哪几个MySQL的binlog有有几种录入格式?分别有什么区别?数据类型mysql有哪些数据类型引擎MySQL存储引擎MyISAM与InnoDB区别MyISAM索引与InnoDB索引的区别?InnoDB引擎的4大特性存储引擎选择索引什么是索引?索引有哪些优缺点?索引使用场景(重点)...

如果你是老板,你会不会踢了这样的员工?

有个好朋友ZS,是技术总监,昨天问我:“有一个老下属,跟了我很多年,做事勤勤恳恳,主动性也很好。但随着公司的发展,他的进步速度,跟不上团队的步伐了,有点...

我入职阿里后,才知道原来简历这么写

私下里,有不少读者问我:“二哥,如何才能写出一份专业的技术简历呢?我总感觉自己写的简历太烂了,所以投了无数份,都石沉大海了。”说实话,我自己好多年没有写过简历了,但我认识的一个同行,他在阿里,给我说了一些他当年写简历的方法论,我感觉太牛逼了,实在是忍不住,就分享了出来,希望能够帮助到你。 01、简历的本质 作为简历的撰写者,你必须要搞清楚一点,简历的本质是什么,它就是为了来销售你的价值主张的。往深...

优雅的替换if-else语句

场景 日常开发,if-else语句写的不少吧??当逻辑分支非常多的时候,if-else套了一层又一层,虽然业务功能倒是实现了,但是看起来是真的很不优雅,尤其是对于我这种有强迫症的程序"猿",看到这么多if-else,脑袋瓜子就嗡嗡的,总想着解锁新姿势:干掉过多的if-else!!!本文将介绍三板斧手段: 优先判断条件,条件不满足的,逻辑及时中断返回; 采用策略模式+工厂模式; 结合注解,锦...

离职半年了,老东家又发 offer,回不回?

有小伙伴问松哥这个问题,他在上海某公司,在离职了几个月后,前公司的领导联系到他,希望他能够返聘回去,他很纠结要不要回去? 俗话说好马不吃回头草,但是这个小伙伴既然感到纠结了,我觉得至少说明了两个问题:1.曾经的公司还不错;2.现在的日子也不是很如意。否则应该就不会纠结了。 老实说,松哥之前也有过类似的经历,今天就来和小伙伴们聊聊回头草到底吃不吃。 首先一个基本观点,就是离职了也没必要和老东家弄的苦...

2020阿里全球数学大赛:3万名高手、4道题、2天2夜未交卷

阿里巴巴全球数学竞赛( Alibaba Global Mathematics Competition)由马云发起,由中国科学技术协会、阿里巴巴基金会、阿里巴巴达摩院共同举办。大赛不设报名门槛,全世界爱好数学的人都可参与,不论是否出身数学专业、是否投身数学研究。 2020年阿里巴巴达摩院邀请北京大学、剑桥大学、浙江大学等高校的顶尖数学教师组建了出题组。中科院院士、美国艺术与科学院院士、北京国际数学...

男生更看重女生的身材脸蛋,还是思想?

往往,我们看不进去大段大段的逻辑。深刻的哲理,往往短而精悍,一阵见血。问:产品经理挺漂亮的,有点心动,但不知道合不合得来。男生更看重女生的身材脸蛋,还是...

程序员为什么千万不要瞎努力?

本文作者用对比非常鲜明的两个开发团队的故事,讲解了敏捷开发之道 —— 如果你的团队缺乏统一标准的环境,那么即使勤劳努力,不仅会极其耗时而且成果甚微,使用...

为什么程序员做外包会被瞧不起?

二哥,有个事想询问下您的意见,您觉得应届生值得去外包吗?公司虽然挺大的,中xx,但待遇感觉挺低,马上要报到,挺纠结的。

当HR压你价,说你只值7K,你该怎么回答?

当HR压你价,说你只值7K时,你可以流畅地回答,记住,是流畅,不能犹豫。 礼貌地说:“7K是吗?了解了。嗯~其实我对贵司的面试官印象很好。只不过,现在我的手头上已经有一份11K的offer。来面试,主要也是自己对贵司挺有兴趣的,所以过来看看……”(未完) 这段话主要是陪HR互诈的同时,从公司兴趣,公司职员印象上,都给予对方正面的肯定,既能提升HR的好感度,又能让谈判气氛融洽,为后面的发挥留足空间。...

面试:第十六章:Java中级开发(16k)

HashMap底层实现原理,红黑树,B+树,B树的结构原理 Spring的AOP和IOC是什么?它们常见的使用场景有哪些?Spring事务,事务的属性,传播行为,数据库隔离级别 Spring和SpringMVC,MyBatis以及SpringBoot的注解分别有哪些?SpringMVC的工作原理,SpringBoot框架的优点,MyBatis框架的优点 SpringCould组件有哪些,他们...

面试阿里p7,被按在地上摩擦,鬼知道我经历了什么?

面试阿里p7被问到的问题(当时我只知道第一个):@Conditional是做什么的?@Conditional多个条件是什么逻辑关系?条件判断在什么时候执...

面试了一个 31 岁程序员,让我有所触动,30岁以上的程序员该何去何从?

最近面试了一个31岁8年经验的程序猿,让我有点感慨,大龄程序猿该何去何从。

大三实习生,字节跳动面经分享,已拿Offer

说实话,自己的算法,我一个不会,太难了吧

程序员垃圾简历长什么样?

已经连续五年参加大厂校招、社招的技术面试工作,简历看的不下于万份 这篇文章会用实例告诉你,什么是差的程序员简历! 疫情快要结束了,各个公司也都开始春招了,作为即将红遍大江南北的新晋UP主,那当然要为小伙伴们做点事(手动狗头)。 就在公众号里公开征简历,义务帮大家看,并一一点评。《启舰:春招在即,义务帮大家看看简历吧》 一石激起千层浪,三天收到两百多封简历。 花光了两个星期的所有空闲时...

《Oracle Java SE编程自学与面试指南》最佳学习路线图2020年最新版(进大厂必备)

正确选择比瞎努力更重要!

《Oracle Java SE编程自学与面试指南》最佳学习路线图(2020最新版)

正确选择比瞎努力更重要!

都前后端分离了,咱就别做页面跳转了!统统 JSON 交互

文章目录1. 无状态登录1.1 什么是有状态1.2 什么是无状态1.3 如何实现无状态1.4 各自优缺点2. 登录交互2.1 前后端分离的数据交互2.2 登录成功2.3 登录失败3. 未认证处理方案4. 注销登录 这是本系列的第四篇,有小伙伴找不到之前文章,松哥给大家列一个索引出来: 挖一个大坑,Spring Security 开搞! 松哥手把手带你入门 Spring Security,别再问密...

字节跳动面试官竟然问了我JDBC?

轻松等回家通知

面试官:你连SSO都不懂,就别来面试了

大厂竟然要考我SSO,卧槽。

阿里面试官让我用Zk(Zookeeper)实现分布式锁

他可能没想到,我当场手写出来了

终于,月薪过5万了!

来看几个问题想不想月薪超过5万?想不想进入公司架构组?想不想成为项目组的负责人?想不想成为spring的高手,超越99%的对手?那么本文内容是你必须要掌握的。本文主要详解bean的生命...

自从喜欢上了B站这12个UP主,我越来越觉得自己是个废柴了!

不怕告诉你,我自从喜欢上了这12个UP主,哔哩哔哩成为了我手机上最耗电的软件,几乎每天都会看,可是吧,看的越多,我就越觉得自己是个废柴,唉,老天不公啊,不信你看看…… 间接性踌躇满志,持续性混吃等死,都是因为你们……但是,自己的学习力在慢慢变强,这是不容忽视的,推荐给你们! 都说B站是个宝,可是有人不会挖啊,没事,今天咱挖好的送你一箩筐,首先啊,我在B站上最喜欢看这个家伙的视频了,为啥 ,咱撇...

代码注释如此沙雕,会玩还是你们程序员!

某站后端代码被“开源”,同时刷遍全网的,还有代码里的那些神注释。 我们这才知道,原来程序员个个都是段子手;这么多年来,我们也走过了他们的无数套路… 首先,产品经理,是永远永远吐槽不完的!网友的评论也非常扎心,说看这些代码就像在阅读程序员的日记,每一页都写满了对产品经理的恨。 然后,也要发出直击灵魂的质问:你是尊贵的付费大会员吗? 这不禁让人想起之前某音乐app的穷逼Vip,果然,穷逼在哪里都是...

立即提问
相关内容推荐